ContextName (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.util

## Class ContextName

- java.lang.Object
- - org.apache.catalina.util.ContextName

-     public final class ContextName
      extends Object

  Utility class to manage context names so there is one place where the conversions between baseName, path and version take place.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ROOT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextName(String name, boolean stripFileExtension)` Creates an instance from a context name, display name, base name, directory name, WAR name or context.xml name.
    `ContextName(String path, String version)` Construct an instance from a path and version.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContextName` | `extractFromPath(String path)` Extract the final component of the given path which is assumed to be a base name and generate a `ContextName` from that base name.
    `String` | `getBaseName()`
    `String` | `getDisplayName()`
    `String` | `getName()`
    `String` | `getPath()`
    `String` | `getVersion()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_NAME

          public static final String ROOT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContextName

          public ContextName(String name,
                             boolean stripFileExtension)

      Creates an instance from a context name, display name, base name, directory name, WAR name or context.xml name.
      Parameters:
        `name` - The name to use as the basis for this object
        `stripFileExtension` - If a .war or .xml file extension is present at the end of the provided name should it be removed?

    - #### ContextName

          public ContextName(String path,
                             String version)

      Construct an instance from a path and version.
      Parameters:
        `path` - Context path to use
        `version` - Context version to use

  - ### Method Detail

    - #### getBaseName

          public String getBaseName()

    - #### getPath

          public String getPath()

    - #### getVersion

          public String getVersion()

    - #### getName

          public String getName()

    - #### getDisplayName

          public String getDisplayName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### extractFromPath

          public static ContextName extractFromPath(String path)

      Extract the final component of the given path which is assumed to be a base name and generate a `ContextName` from that base name.
      Parameters:
        `path` - The path that ends in a base name
      Returns:
        the `ContextName` generated from the given base name

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.